Skip to content

Retrieve persisted image crop learning signals for a deal

GET
/api/canvas/{deal_id}/images/crop-signals
curl --request GET \
--url https://example.com/api/canvas/example/images/crop-signals \
--header 'Authorization: Bearer <token>'

Return the image_crop_signals artifact persisted at finalization.

Mirrors GET /canvas/{deal_id}/revision-report. Returns 404 if the deal has not been finalized or produced no crop corrections.

deal_id
required
Deal Id
string

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}